package com.dcsoft.system.consume.service;



import com.dcsoft.system.consume.domain.ConsumeGroup;

import java.util.List;

/**
 * 消费组Service接口
 *
 * @author dcsoft
 * @date 2023-01-05
 */
public interface IConsumeGroupService
{
    /**
     * 查询消费组
     *
     * @param groupId 消费组主键
     * @return 消费组
     */
    public ConsumeGroup selectConsumeGroupByGroupId(Long groupId);

    /**
     * 查询消费组列表
     *
     * @param consumeGroup 消费组
     * @return 消费组集合
     */
    public List<ConsumeGroup> selectConsumeGroupList(ConsumeGroup consumeGroup);

    /**
     * 新增消费组
     *
     * @param consumeGroup 消费组
     * @return 结果
     */
    public int insertConsumeGroup(ConsumeGroup consumeGroup);

    /**
     * 修改消费组
     *
     * @param consumeGroup 消费组
     * @return 结果
     */
    public int updateConsumeGroup(ConsumeGroup consumeGroup);

    /**
     * 批量删除消费组
     *
     * @param groupIds 需要删除的消费组主键集合
     * @return 结果
     */
    public int deleteConsumeGroupByGroupIds(Long[] groupIds);

    /**
     * 删除消费组信息
     *
     * @param groupId 消费组主键
     * @return 结果
     */
    public int deleteConsumeGroupByGroupId(Long groupId);
}
